Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 629144

Summary: dev-qt/qtphonon: contains optional dependencies on vulnerable media-libs/gstreamer:0.10
Product: Gentoo Linux Reporter: Christopher Díaz Riveros (RETIRED) <chrisadr>
Component: Current packagesAssignee: Qt Bug Alias <qt>
Status: RESOLVED FIXED    
Severity: normal CC: gstreamer, treecleaner
Priority: Normal Keywords: PMASKED
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://qa-reports.gentoo.org/output/genrdeps/rindex/dev-qt/qtphonon
Whiteboard: Masked for removal on 2017-10-03
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 550648    

Description Christopher Díaz Riveros (RETIRED) gentoo-dev Security 2017-08-28 05:04:50 UTC
qtphonon contains optional dependencies on vulnerable gstreamer slot 0.10 which is going to be removed from tree. 

For more info refer to bug 550648
Comment 1 Michael Palimaka (kensington) gentoo-dev 2017-08-28 11:32:46 UTC
I suggest we look at removing qtphonon completely.
Comment 2 Davide Pesavento gentoo-dev 2017-08-28 14:26:05 UTC
Agreed.
Comment 3 Michael Palimaka (kensington) gentoo-dev 2017-08-30 14:11:35 UTC
I've cleaned up all the revdeps of dev-qt/qtphonon, except for dev-qt/designer. media-libs/phonon is no longer keyworded on hppa and we'll surely get yelled for making unauthorised hppa profile changes by masking designer[phonon].

Instead, I'm doing a CI run for dropping hppa keywords there too.
Comment 4 Michael Palimaka (kensington) gentoo-dev 2017-09-02 13:18:57 UTC
Revdeps are done, this can go now.
Comment 5 Larry the Git Cow gentoo-dev 2017-10-03 10:44:35 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b97eb6d43f45dfd5b739638928db22d3f3392685

commit b97eb6d43f45dfd5b739638928db22d3f3392685
Author:     Michael Palimaka <kensington@gentoo.org>
AuthorDate: 2017-10-03 10:43:03 +0000
Commit:     Michael Palimaka <kensington@gentoo.org>
CommitDate: 2017-10-03 10:44:18 +0000

    dev-qt/qtphonon: remove last rited package
    
    Closes: https://bugs.gentoo.org/629144

 dev-qt/qtphonon/Manifest                 |  2 --
 dev-qt/qtphonon/metadata.xml             | 18 -----------
 dev-qt/qtphonon/qtphonon-4.8.6-r1.ebuild | 52 --------------------------------
 dev-qt/qtphonon/qtphonon-4.8.7.ebuild    | 50 ------------------------------
 4 files changed, 122 deletions(-)